﻿@model IEnumerable<DomainClass.Cheer>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>تشویقات</h4>

<p>
    @Html.ActionLink("ورود اطلاعات جدید", "Create", "Cheer", new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        @*<th>شماره ملی
            @Html.DisplayNameFor(model => model.User.Lname)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Dastgah_Cheer)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Magham_Cheer)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.SathTashvigh)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Date_Cheer)
        </th>
        @*<th>
            @Html.DisplayNameFor(model => model.Elat_Cheer)
        </th>*@
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>
            @Html.DisplayFor(modelItem => item.User.UserName)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Dastgah_Cheer)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Magham_Cheer)
        </td>
        <td>
@*            @Html.DisplayFor(modelItem => item.SathTashvigh)*@
            @Html.EnumDisplay(item.SathTashvigh)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Date_Cheer)
        </td>
        @*<td>
            @Html.DisplayFor(modelItem => item.Elat_Cheer)
        </td>*@
        <td>
            @Html.ActionLink("ویرایش", "Edit", new { id = item.ID }, new { @class = "btn btn-primary btn-xs" }) |
            @Html.ActionLink("جزئیات", "Details", new { id = item.ID }, new { @class = "btn btn-success btn-xs" }) |
            @Html.ActionLink("حذف", "Delete", new { id = item.ID }, new { @class = "btn btn-danger btn-xs" })
        </td>
    </tr>
}

</table>
